Skip to content

Get the authorized subject of the resource

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the authorized subject of the resource

Method name

ManagementClient.get_resource_authorized_targets

Request parameters

NameTypeIs it requiredDefault valueDescriptionSample value
resourcestringyes-Resourceecs:1
namespacestringnodefaultPermission group
targetTypestringno-Target object type:
- USER: User
- ROLE: Role
- GROUP: Group
- DEPARTMENT: Department
USER
pagenumberNo1Current page number, starting from 11
limitnumberNo10Number per page, maximum cannot exceed 50, default is 1010

Request Response

Type: GetResourceAuthorizedTargetRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request is not returned). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a GetResourceAuthorizedTargetDataDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "totalCount": 10,
    "list": {
      "targetType": "USER",
      "targetIdentifier": "code",
      "actions": "[\"ecs:Start\",\"ecs:Stop\"]"
    }
  }
}

Data Structure

GetResourceAuthorizedTargetDataDto

NameTypeRequiredDescriptionSample value
totalCountnumberyestotal10
listarrayyeslist of elements Nested type: <a ResourceAuthorizedTargetDto.

ResourceAuthorizedTargetDto

NameTypeRequiredDescriptionSample value
targetTypestringYesSubject typeUSER
targetIdentifierstringYesSubject unique identifiercode
actionsarrayYesAction list["ecs:Start","ecs:Stop"]

Agent infrastructure for identity, memory, and web action.